Subject: bug#58420: packages with guile-3.0 as an input fail to cross-compile

From: "Mitchell F. Schmeisser" <[email-masked]>
Date: Tue, 11 Oct 2022 16:09:47 +0000

Thank you for sharing this, I have a lot to learn about the autotools.

-----Original Message-----
From: Maxime Devos <[email-masked]> 
Sent: Tuesday, October 11, 2022 10:18 AM
To: Mitchell F. Schmeisser <[email-masked]>; [email-masked]
Subject: [EXTERNAL] Re: bug#58420: packages with guile-3.0 as an input fail to cross-compile

merge 47221 58420
thanks

On 10-10-2022 19:25, Mitchell F. Schmeisser wrote:
> I cannot cross compile any packages which depend on guile. The 
> configure phase either fails to find the autoconf macros or fails to 
> find guile itself. [...]

The issue is that guile needs to be in native-inputs even though sometimes it isn't, as I noticed in <https://issues.guix.gnu.org/47221>.

A patch series is available there as well, though it needs to be rebased.

Greetings,
Maxime.